com.independentsoft.exchange

## Class PullSubscription

- java.lang.Object
- - com.independentsoft.exchange.Subscription
  - - com.independentsoft.exchange.PullSubscription

-     public class PullSubscription
      extends Subscription

  Represents the duration, in minutes, that the subscription can remain idle without a GetEvents request from the client.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PullSubscription()` Initializes a new instance of the PullSubscription class.
    `PullSubscription(boolean subscribeToAllFolders, EventType eventType)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(boolean subscribeToAllFolders, java.util.List<EventType> eventTypes)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(FolderId folderId)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(FolderId folderId, EventType eventType)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(FolderId folderId, EventType eventType, int timeout)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(FolderId folderId, EventType eventType, int timeout, java.lang.String watermark)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(FolderId folderId, EventType eventType, java.lang.String watermark)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(StandardFolder standardFolder)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(StandardFolder standardFolder, EventType eventType)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(StandardFolder standardFolder, EventType eventType, int timeout)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(StandardFolder standardFolder, EventType eventType, int timeout, java.lang.String watermark)` Initializes a new instance of the PullSubscription class.
    `PullSubscription(StandardFolder standardFolder, EventType eventType, java.lang.String watermark)` Initializes a new instance of the PullSubscription class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getTimeout()` Gets the duration, in minutes, that the subscription can remain idle without a GetEvents request from the client.
    `void` | `setTimeout(int timeout)` Sets the duration, in minutes, that the subscription can remain idle without a GetEvents request from the client.

    - ### Methods inherited from class com.independentsoft.exchange.Subscription

      `getEventTypes, getFolders, getWatermark, isSubscribeToAllFolders, setSubscribeToAllFolders, setWatermark`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PullSubscription

          public PullSubscription()

      Initializes a new instance of the PullSubscription class.

    - #### PullSubscription

          public PullSubscription(boolean subscribeToAllFolders,
                                  EventType eventType)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `subscribeToAllFolders` - the subscribe to all folders
        `eventType` - the event type

    - #### PullSubscription

          public PullSubscription(boolean subscribeToAllFolders,
                                  java.util.List<EventType> eventTypes)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `subscribeToAllFolders` - the subscribe to all folders
        `eventTypes` - the event types

    - #### PullSubscription

          public PullSubscription(FolderId folderId)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `folderId` - the folder id

    - #### PullSubscription

          public PullSubscription(FolderId folderId,
                                  EventType eventType)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type

    - #### PullSubscription

          public PullSubscription(FolderId folderId,
                                  EventType eventType,
                                  int timeout)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type
        `timeout` - the timeout

    - #### PullSubscription

          public PullSubscription(FolderId folderId,
                                  EventType eventType,
                                  java.lang.String watermark)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type
        `watermark` - the watermark

    - #### PullSubscription

          public PullSubscription(FolderId folderId,
                                  EventType eventType,
                                  int timeout,
                                  java.lang.String watermark)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `folderId` - the folder id
        `eventType` - the event type
        `timeout` - the timeout
        `watermark` - the watermark

    - #### PullSubscription

          public PullSubscription(StandardFolder standardFolder)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `standardFolder` - the standard folder

    - #### PullSubscription

          public PullSubscription(StandardFolder standardFolder,
                                  EventType eventType)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type

    - #### PullSubscription

          public PullSubscription(StandardFolder standardFolder,
                                  EventType eventType,
                                  int timeout)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type
        `timeout` - the timeout

    - #### PullSubscription

          public PullSubscription(StandardFolder standardFolder,
                                  EventType eventType,
                                  java.lang.String watermark)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type
        `watermark` - the watermark

    - #### PullSubscription

          public PullSubscription(StandardFolder standardFolder,
                                  EventType eventType,
                                  int timeout,
                                  java.lang.String watermark)

      Initializes a new instance of the PullSubscription class.
      Parameters:
        `standardFolder` - the standard folder
        `eventType` - the event type
        `timeout` - the timeout
        `watermark` - the watermark

  - ### Method Detail

    - #### getTimeout

          public int getTimeout()

      Gets the duration, in minutes, that the subscription can remain idle without a GetEvents request from the client.
      Returns:
        the timeout

    - #### setTimeout

          public void setTimeout(int timeout)

      Sets the duration, in minutes, that the subscription can remain idle without a GetEvents request from the client.
      Parameters:
        `timeout` - the new timeout